Subject: Re: [bug#53750] [PATCH] gnu: openbox: Build with Python 3.

From: Leo Famulari <[email-masked]>
Date: Fri, 4 Feb 2022 13:32:17 -0500

On Thu, Feb 03, 2022 at 03:17:12PM +0000, Vinicius Monego wrote:
> * gnu/packages/openbox.scm (openbox): Build with Python 3.
> [source]: Make some cosmetic changes. Add patch.
> [inputs]: Replace python with python-wrapper.
> [propagated-inputs]: Replace python2-xdg with python-xdg.
> * gnu/packages/patches/openbox-build-with-python3.patch: New file.
> * gnu/local.mk (dist_patch_DATA): Add it.

Thanks! You might have noticed that I merged this patch ticket with my
own similar contribution at <https://issues.guix.gnu.org/53394>.

I missed the python2-xdg change in my patch, and I also did not replace
python with python-wrapper. Is the latter change necessary?

> +From acfbbc4ea40932f183617bb7006700140fe5f61e Mon Sep 17 00:00:00 2001
> +From: Troy Curtis Jr <[email-masked]>
> +Date: Wed, 13 Sep 2017 21:59:48 -0500
> +Subject: [PATCH] Add python3 support to openbox-xdg-autostart.
> +
> +Updated syntax in openbox-xdg-autostart to support both python2 and
> +python3.
> +
> +Added a configure substitution to set the chosen python at build time.
> +
> +https://bugzilla.icculus.org/show_bug.cgi?id=6444
> +---
> +Patch imported from Debian: https://sources.debian.org/src/openbox/3.6.1-10/debian/patches/python3.patch/ with the following change: don't rename data/autostart/openbox-xdg-autostart to data/autostart/openbox-xdg-autostart.in.

Is this note about "Patch imported from Debian" written by you?

We always try to give links to the source of patches, as well as a note
that explains the context of the patch and a link to any discussions
within Guix.

So, the patch file should start with something like this:

------
Make Openbox compatible with Python 2:

https://issues.guix.gnu.org/53750

Openbox seems to be abandoned upstream, with no activity in their Git repo since
2015:

http://openbox.org/develop-git.php

Patch copied from XXX:

https://example.com/
------